%define upstream_name    Complete-Getopt-Long
%define upstream_version 0.37

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Summary:    Complete command-line argument using Getopt::Long specification
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Complete::Bash)
BuildRequires: perl(Complete::Unix)
BuildRequires: perl(Complete::Util)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long::Util)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Log::Any::IfLOG)
BuildRequires: perl(Rinci)
BuildRequires: perl(String::Wildcard::Bash)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Complete command-line argument using Getopt::Long specification

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE README META.json META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.370.0-4.mga6
+ Revision: 1024273
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.370.0-3.mga6
+ Revision: 970226
- Mageia 6 Mass Rebuild

* Tue Sep 29 2015 sander85 <sander85> 0.370.0-2.mga6
+ Revision: 885140
- Exclude deps from _docdir

* Mon Sep 28 2015 sander85 <sander85> 0.370.0-1.mga6
+ Revision: 884438
- update to 0.37

* Sun Sep 06 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 873423
- update to 0.33

* Mon Jul 13 2015 sander85 <sander85> 0.320.0-1.mga6
+ Revision: 853700
- update to 0.32

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 745792
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 guillomovitch <guillomovitch> 0.120.0-1.mga5
+ Revision: 658305
- imported package perl-Complete-Getopt-Long


* Wed Jul 30 2014 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
